import { store } from './stores'
import App from './App'
import http from './utils/http'
import config from './utils/config'
import Vant from 'vant';
import 'vant/lib/index.css';

import { createSSRApp } from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	app.use(store)
	app.use(Vant);
	app.config.globalProperties.$http = http
	app.config.globalProperties.$uploadUrl = config.uploadUrl

	return {
		app,
		store
	}
}
